# Interface FilterBlockJson

A filter block defines what elements will be filtered with a specific filter mode. To ensure performance on client applications, it is not recommended to declare multiple filter blocks with the same filter mode. Filter blocks are contained in a filter for a building scene layer. Each filter includes at least one filter block.

interface FilterBlockJson {
filterExpression?: string;
filterMode?: FilterModeJson;
title?: string;
}

#####
Index

### Properties

filterExpression?
filterMode?
title?

##
Properties

### `Optional` filterExpression

filterExpression?: string

SQL expression to select features that belong to this filter block.

### `Optional` filterMode

filterMode?: FilterModeJson

Filter mode defines how features are drawn. For example, the filter mode of a filter can be solid or wire frame.

### `Optional` title

title?: string

Title of the filter block.